export const OAuthData: { [service: string]: { type: string, endpoint: string, grantType: string, scopes: string[], redirect: string } } = {
  'nightbot': {
    type: 'nightbot',
    endpoint: 'https://api.nightbot.tv/oauth2/authorize',
    grantType: 'token',
    scopes: ['song_requests', 'song_requests_queue', 'song_requests_playlist'],
    redirect: process.env.WEB_HOST + '/connections/callback'
  },
  'twitch': {
    type: 'twitch',
    endpoint: 'https://id.twitch.tv/oauth2/authorize',
    grantType: 'token',
    scopes: [
      'chat:read',
      'bits:read',
      'channel:read:polls',
      'channel:read:predictions',
      'channel:read:subscriptions',
      'channel:read:vips',
      'moderator:read:blocked_terms',
      'chat:read',
      'channel:moderate',
      'channel:read:redemptions',
      'channel:manage:redemptions',
      'channel:manage:predictions',
      'user:read:chat',
      'channel:bot',
      'moderator:read:followers',
      'channel:read:ads',
      'moderator:read:chatters',
    ],
    redirect: process.env.WEB_HOST + '/connections/callback'
  },
};