import { database } from "../services/database";

export async function getUsers(req: any, res: any, next: any) {
  const users = await database.manyOrNone('SELECT id, name FROM "User"');
  res.send(users);
};

export async function updateImpersonation(req: any, res: any, next: any) {
  if (!req.body.impersonation) {
    res.status(400).send('Invalid user.');
    return;
  }

  const data = await database.oneOrNone('SELECT "targetId" FROM "Impersonation" where "sourceId" = $1', req.user.id);
  if (!data?.targetId) {
    await database.none('INSERT INTO "Impersonation" ("sourceId", "targetId") VALUES ($1, $2)', [req.user.id, req.body.impersonation]);
  } else {
    await database.none('UPDATE "Impersonation" SET "targetId" = $2 WHERE "sourceId" = $1', [req.user.id, req.body.impersonation]);
  }
  res.send({
    data: {
      impersonation: true
    }
  });
};

export async function deleteImpersonation(req: any, res: any, next: any) {
  if (req.user.role != 'ADMIN') {
    res.status(403).send('You do not have the permissions for this.');
    return;
  }

  const data = await database.oneOrNone('DELETE FROM "Impersonation" where "sourceId" = $1', req.user.id);
  res.send({ data });
};