import { database } from "../services/database";
import { passport } from "../services/passport";

export async function isApiKeyAuthenticated(req: any, res: any, next: any) {
  if (!req.user) {
    const key = req.get('x-api-key');
    if (key) {
      const data = await database.oneOrNone('SELECT "userId" from "ApiKey" WHERE id = $1', key);
      if (data) {
        req.user = await database.oneOrNone('SELECT id, name, role, "ttsDefaultVoice" FROM "User" WHERE id = $1', data.userId);
      }
    }
  }
  next();
}

export function isJWTAuthenticated(req: any, res: any, next: () => void) {
  if (req.user) {
    next();
    return;
  }

  const check = passport.authenticate('jwt', { session: false });
  check(req, res, next);
}