export function isAuthenticated(req: any, res: any, next: () => void) {
  if (req.user) {
    next();
    return;
  }

  res.status(401).send({ error: 'User is not authenticated.' });
}

export function isAdminAuthenticated(req: any, res: any, next: () => void) {
  if (req.user) {
    if (req.user.role == 'ADMIN') {
      next();
      return;
    }

    res.status(403).send('You do not have the permissions for this.');
    return;
  }

  res.status(401).send({ error: 'User is not authenticated.' });
}


export function isNotAuthenticated(req: any, res: any, next: () => void) {
  if (!req.user) {
    next();
    return;
  }

  res.status(403).send({ error: 'User is authenticated.' });
}