import { isApiKeyAuthenticated, isJWTAuthenticated } from "./api-key.middleware";
import { isAdminAuthenticated, isAuthenticated, isNotAuthenticated } from "./authentication.middleware";
import { checkImpersonation } from "./impersonation.middleware";

export const AUTH_MIDDLEWARES = [isJWTAuthenticated, checkImpersonation];
export const PUBLIC_API_MIDDLEWARES = [];
export const PROTECTED_API_MIDDLEWARES = [isApiKeyAuthenticated, isJWTAuthenticated, checkImpersonation, isAuthenticated];
export const ADMIN_API_MIDDLEWARES = [isApiKeyAuthenticated, isJWTAuthenticated, isAdminAuthenticated]