import { database } from "../services/database";

export async function checkImpersonation(req: any, res: any, next: () => void) {
  if (req.user && req.user.role == 'ADMIN') {
    const impersonationId = await database.oneOrNone('SELECT "targetId" FROM "Impersonation" WHERE "sourceId" = $1', req.user.id);
    if (impersonationId) {
      const impersonation = await database.oneOrNone('SELECT id, name, role, "ttsDefaultVoice" FROM "User" WHERE id = $1', impersonationId.targetId);
      if (impersonation) {
        req.user.impersonation = impersonation;
      }
    }
  }
  next();
}